package request

import (
	"sorbet/internal/entities"
)

type ResourceCategoryUpsertRequest struct {
	ID     uint   `json:"id"     xml:"id"     form:"id" path:"id"`
	PID    uint   `json:"pid"    xml:"pid"    form:"pid"`
	Title  string `json:"title"  xml:"title"  form:"title"`
	Sort   int32  `json:"sort"   xml:"sort"   form:"sort"`
	Status bool   `json:"status" xml:"status" form:"status"`
}

func (r *ResourceCategoryUpsertRequest) GetID() any {
	return r.ID
}

func (r *ResourceCategoryUpsertRequest) ToMap() map[string]any {
	return map[string]any{
		"id":     r.ID,
		"pid":    r.PID,
		"title":  r.Title,
		"sort":   r.Sort,
		"status": r.Status,
	}
}

func (r *ResourceCategoryUpsertRequest) ToEntity() any {
	return &entities.ResourceCategory{
		ID:     r.ID,
		PID:    &r.PID,
		Title:  r.Title,
		Sort:   r.Sort,
		Status: r.Status,
	}
}
