package resource

import (
	"context"
	"sorbet/internal/runtime"
	"sorbet/internal/services/resource/controller"
)

type Service struct{}

func (*Service) Name() string {
	return "resource"
}

func (*Service) Priority() int {
	return 2
}

func (*Service) Init(context.Context) error {
	return nil
}

func (*Service) Routes() []runtime.Routable {
	return []runtime.Routable{
		&controller.ResourceController{},
		&controller.ResourceCategoryController{},
	}
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
